Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.util
Class Logger

    java.lang.Object
      portlets.compoze.groupware.util.Logger

All Implemented Interfaces:
  java.io.Serializable

public class Logger
extends java.lang.Object
implements java.io.Serializable

This class provides services for logging messages.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Logger.Area` This class represents an application area.

Field Summary
`static int` | `LEVEL_DEBUG` Log level for debug messages.
`static int` | `LEVEL_ERROR` Log level for errors.
`static int` | `LEVEL_INFO` Log level for informational messages.
`static int` | `LEVEL_WARNING` Log level for warnings.

Method Summary
`static Logger` | `i()` Get the singleton instance of the logger.
`void` | `logMessage(int iLevel, java.lang.String sMessage)` Logs the specified message.
`void` | `logMessage(int iLevel, java.lang.String sMessage, java.lang.Throwable th)` Logs the specified message.
`void` | `logMessage(Logger.Area area, int iLevel, java.lang.String sMessage)` Logs the specified message.
`void` | `logMessage(Logger.Area area, int iLevel, java.lang.String sMessage, java.lang.Throwable th)` Logs the specified message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEVEL_ERROR

    public static final int LEVEL_ERROR

  Log level for errors.

  See Also:
    Constant Field Values

### LEVEL_WARNING

    public static final int LEVEL_WARNING

  Log level for warnings.

  See Also:
    Constant Field Values

### LEVEL_INFO

    public static final int LEVEL_INFO

  Log level for informational messages.

  See Also:
    Constant Field Values

### LEVEL_DEBUG

    public static final int LEVEL_DEBUG

  Log level for debug messages.

  See Also:
    Constant Field Values

Method Detail

### i

    public static Logger i()

  Get the singleton instance of the logger.

  Returns:
    the singleton instance of the logger

### logMessage

    public void logMessage(int iLevel,
                           java.lang.String sMessage)

  Logs the specified message.

  Parameters:
    `iLevel` - the log level (see `LEVEL_` constants)
    `sMessage` - the message

### logMessage

    public void logMessage(Logger.Area area,
                           int iLevel,
                           java.lang.String sMessage)

  Logs the specified message.

  Parameters:
    `area` - the area (may be `null`)
    `iLevel` - the log level (see `LEVEL_` constants)
    `sMessage` - the message

### logMessage

    public void logMessage(int iLevel,
                           java.lang.String sMessage,
                           java.lang.Throwable th)

  Logs the specified message.

  Parameters:
    `iLevel` - the log level (see `LEVEL_` constants)
    `sMessage` - the message
    `th` - the associated exception (may be `null`)

### logMessage

    public void logMessage(Logger.Area area,
                           int iLevel,
                           java.lang.String sMessage,
                           java.lang.Throwable th)

  Logs the specified message.

  Parameters:
    `area` - the area (may be `null`)
    `iLevel` - the log level (see `LEVEL_` constants)
    `sMessage` - the message
    `th` - the associated exception (may be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.